complexType "ElectricityPhysicalQuantity"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (physicalQuantity+ | physicalQuantitySchedule+)?, totalPhysicalQuantity
</...>

Content Model Elements (3):

  physicalQuantity (in deliveryQuantity in electricityPhysicalLeg),
  physicalQuantitySchedule (in deliveryQuantity in electricityPhysicalLeg),
  totalPhysicalQuantity (in deliveryQuantity in electricityPhysicalLeg)

All Direct / Indirect Based Elements (1):

  deliveryQuantity (in electricityPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  deliveryQuantity (in electricityPhysicalLeg)

Annotation
The quantity of gas to be delivered.
Type Definition Detail

Type Derivation Tree CommodityPhysicalQuantityBase (extension) ElectricityPhysicalQuantity

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ElectricityPhysicalQuantity"> <xsd:complexContent> <xsd:extension base="CommodityPhysicalQuantityBase"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="physicalQuantity" type="ElectricityPhysicalDeliveryQuantity"/> <xsd:element maxOccurs="unbounded" name="physicalQuantitySchedule" type="ElectricityPhysicalDeliveryQuantitySchedule"/> </xsd:choice> <xsd:element name="totalPhysicalQuantity" type="UnitQuantity"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
physicalQuantity

  Type: | ElectricityPhysicalDeliveryQuantity, complex content

  The Quantity per Delivery Period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="physicalQuantity" type="ElectricityPhysicalDeliveryQuantity"/>

physicalQuantitySchedule

  Type: | ElectricityPhysicalDeliveryQuantitySchedule, complex content

  Allows the documentation of a shaped quantity trade where the quantity changes over the life of the transaction. Note that if the range of Settlement Periods also varies over the life of the transaction this element should not be used. Instead, physicalQuantity should be repeated for each range of Settlement Periods that apply at any point during the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="physicalQuantitySchedule" type="ElectricityPhysicalDeliveryQuantitySchedule"/>

totalPhysicalQuantity

  Type: | UnitQuantity, complex content

  The Total Quantity of the commodity to be delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="totalPhysicalQuantity" type="UnitQuantity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.